Adding a filter

Home

You can add a filter using the Filters list in the Manage Filters window.

Note: You can open the Manage Filters window from any application containing filters by selecting [image].

From the Filters list

  1. Click [Add].
  2. Use the Filters Definition pane to name and apply conditions to the filter.
  3. Select [Save Changes].

Related Topics

Manage Filters window

Copying a filter

Deleting a filter

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources

For additional online resources for Sage products, visit the Sage Customer Portal. Use the portal to access the knowledgebase, chat online with customer support, or enter a customer support ticket.

For additional training on Sage products, visit Sage University.


Copying a filter

Home

Use the Filters list in the Manage Filters window to copy a filter.

Note: You can open the Manage Filters window from any application containing filters by selecting [image].

  1. Select the filter from the Filter list.
  2. Click [Copy].
  3. Use the Filters Definition pane to name and apply conditions to the filter.
  4. Select [Save Changes].

Related Topics

Deleting a filter

Selecting a filter

Manage Filters window

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources

For additional online resources for Sage products, visit the Sage Customer Portal. Use the portal to access the knowledgebase, chat online with customer support, or enter a customer support ticket.


Deleting a filter

Home

Use the Filters list in the Manage Filters window to delete a filter.

  1. Select the filter from the Filters list.
  2. Click [Delete].

Notes:

  • Pre-defined filters can not be deleted. You can only delete filters created by a user.
  • You can open the Manage Filters window from any application containing filters by selecting [image].

Related Topics

Copying a filter

Selecting a filter

Manage Filters window

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources


Manage Filters window

Home

In the Manage Filters window, you can define the filters that you want to apply to a list or grid (add, edit, and delete). You can open the Manage Filters window from any application that contains filters by selecting [image].

The Manage Filters window is divided into two panes.

  • The Filters list pane allows you to select from a list of pre-defined filters. You may also add new filters. Any new filters will be added to the Filters list pane. How?
  • The Filter Definition pane allows you to add conditional values to the filter you have selected. The Filter Definition pane contains up to twenty condition lines. When a new filter is added, a single condition line is shown on the Filter Definition pane. You can add or remove conditions accordingly. How?

Related Topics

Adding conditions

Selecting a filter

Copying a filter

Deleting a filter

Items in this window

Filters List | Test Condition
[Add] | Value Condition
[Delete] | [Save]
Name | Add condition
And/Or | Remove condition
Field Condition |

Filter List

Select the filter you would like to use to manage the data set.

[Add]

Select [Add] to add a new filter to the list. Once a new filter is added, you can define the conditions in the Filter Details pane.

[Delete]

Select the filter you want to delete from the Filters List, then select [Delete].

Note: Pre-defined filters are read-only and cannot be modified or deleted. You can make a copy of the pre-defined filters and modify the copy.

Name

This field contains the name of the filter selected in the Filters List. You can rename the filter by typing in the new name.

And/Or

Select "And" or "Or" for the new condition when you have already selected one and you want to further define it by adding another.

Field Condition field

Select the conditional field from the drop-down list.

Test Condition field

Select the conditional test from the drop-down list.

Value Condition field

Select the conditional value.

[Save]

Save all changes made to the current filter.

Add Condition

When adding additional conditions, select whether to use “And” or “Or” to combine with the previous filters.

Remove Condition

Removes the condition from the Filter Definition pane.

Top of page

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Selecting a filter

Home

Use the Filters list in the Manage Filters window to select a filter.

Note: You can open the Manage Filters window from any application containing filters by selecting [image].

To select a filter

  1. Select a filter from the Filters list.
  2. Define the conditions in the Filter Definition pane.
  3. Select [Save Changes].

Related Topics

Adding a filter

Copying a filter

Deleting a filter

Manage Filters window

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Adding and removing conditions

Home

You can further define the data you are searching for by adding or removing conditions in the Filter Definition pane in the Manage Filters window.

Note: You can only add and remove conditions from filters you have created. Pre-defined filters are read-only. To modify a pre-defined filter you can copy the filter then modify it. How?

To add a condition

  1. Select Add condition.
  2. Use the condition fields to define your search.
  3. Select [Save changes].

To remove a condition

  1. Select Remove next to the condition line you want to remove.
  2. Select [Save changes].

Note: A filter must have at least one condition. If a filter has only one condition you cannot remove it.

Related Topics

Manage Filters window

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Search

Home

The search component allows you to find a specific item on a grid or list that contains many values. When a search is performed, the data on the grid or list is limited to only the items that meet the search criteria.

With search you can

  • Search for a specific value.
  • Search for multiple values.
  • Limit your data set by searching for values that contain a common keyword.

Note: You can also search for phrases by enclosing multiple keywords within quotation marks.

To search for an item

  1. Enter a keyword or multiple keywords in the search field.
  2. Select the Search icon or type [Enter].
  3. Save changes.

Notes:

  • Search will only look at the visible columns in a grid. It does not look at columns that are marked as hidden.
  • The data displayed must meet both Search and Filter criteria. Fore example, If you're displaying filtered data, and then you Search, you are searching within the filtered data. If you have a search term, and you change the filter, the results displayed match both the selected filter and the search term.

Related Topics

Manage Filters window

Selecting a filter

Copying a filter

Deleting a filter

Adding a filter

Filters

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


About filters

» Filters > Filters

Filters

Home

The Filter component allow you to manage data in windows or grids that contain large data sets.

With filters you can

  • Condense a large set of data into a smaller list.
  • Efficiently locate data used frequently, such as recent documents or documents of a certain status.
  • Choose from a list of pre-defined filters.
  • Create your own filters using any conditional values you need. How?

Related Topics

Manage Filters window

Selecting a filter

Copying a filter

Deleting a filter

Adding a filter

Search

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Home

» Filters > About

Welcome to Filter and Search components

Get Started With...

Manage Filters window

How Do I...

Add a filter

Copy a filter

Define filters

Delete a filter

Select a filter

Learn About...

Filters

Search

Conditions

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Filters Help

Home

Filters Help version 12.1.0

April 12, 2012

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


ApplyButton

[Apply]

Filters the table with the filter that you select.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


common_cancelbutton

[Cancel]

Closes this window without accepting any of the current entries.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


common_closebutton

[Close]

Closes the window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


common_okbutton

[OK]

Accepts the current entries and closes the window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


CopyButton

[Copy]

Copies a filter that you select. The application sequences a number at the end of the filter name.

(missing or bad snippet)

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


deletebutton

[Delete]

Deletes a filter that you select.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Edit Button

Edits a filter you that you select by opening the Modify Filters window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


FilterListBox

Filter List

Lists the filters that you created for this table.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


FilterNameBox

Filter Name

Edits the name of the filter. Type up to 30 characters. The first character must be a letter or a number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


newbutton

[New]

Creates a new filter by opening the Modify Filters window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Rule Grid

Specifies the rules that the filter will apply.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.